/**
 * @typedef CssDeclarationsOptions
 * @property {(reason: string, offset: number) => void} [warning] Function called on errors
 */
/**
 * Parse CSS declarations to an object.
 *
 * @param {string} [value]
 * @param {CssDeclarationsOptions} [options]
 * @returns {Record.<string, string>} Declarations
 */
export function parse(value?: string, options?: CssDeclarationsOptions): Record<string, string>;
/**
 * Serialize declarations.
 *
 * @param {Record.<string, string>} declarations
 * @returns {string}
 */
export function stringify(declarations: Record<string, string>): string;
export type CssDeclarationsOptions = {
    /**
     * Function called on errors
     */
    warning?: (reason: string, offset: number) => void;
};
